POST api/Insurances
Creates a new insurance or updates an existent insurance's information.
Request Information
URI Parameters
None.
Body Parameters
InsuranceModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyName |
Company name of the insurance (Required). |
string |
None. |
| Active |
Indicates whether the insurance is active or not. |
boolean |
None. |
| InsuranceType |
Type of the insurance (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"companyName": "sample string 1",
"active": true,
"insuranceType": "sample string 3",
"id": "2dd9a13e-ebc8-426f-8445-1c6b4474bc19",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<InsuranceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Insurances"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">2dd9a13e-ebc8-426f-8445-1c6b4474bc19</Id> <Active>true</Active> <CompanyName>sample string 1</CompanyName> <InsuranceType>sample string 3</InsuranceType> </InsuranceModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
InsuranceModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyName |
Company name of the insurance (Required). |
string |
None. |
| Active |
Indicates whether the insurance is active or not. |
boolean |
None. |
| InsuranceType |
Type of the insurance (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"companyName": "sample string 1",
"active": true,
"insuranceType": "sample string 3",
"id": "1188062b-6f78-4b94-8acd-ca360aefd69d",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<InsuranceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Insurances"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">1188062b-6f78-4b94-8acd-ca360aefd69d</Id> <Active>true</Active> <CompanyName>sample string 1</CompanyName> <InsuranceType>sample string 3</InsuranceType> </InsuranceModel>